%global commit 8790a17484d7eeb316a4225cdd20c2acb714cc2d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global stackname genlisp
Name:           python-%{stackname}
Version:        0.3.3
Release:        13.20130623git%{shortcommit}%{?dist}
Summary:        Lisp ROS message and service generators

License:        BSD
URL:            http://ros.org/
Source0:        https://github.com/ros/%{stackname}/archive/%{commit}/%{stackname}-%{version}-%{shortcommit}.tar.gz

# Move /usr/etc/langs to /etc/ros-langs
Patch0:         ros-%{stackname}-langs.patch
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  python2-devel
BuildRequires:  catkin-devel
BuildRequires:  python-genmsg-devel

%package devel
Summary: Development files for %{name}

%description devel
%{summary}.

%global _description\
genlisp generates ROS Lisp messages from message definition files

%description %_description

%package -n python2-%{stackname}
Summary: %summary
Requires: python-genmsg
Requires: %{name} = %{version}-%{release}
Requires: python-genmsg-devel
%{?python_provide:%python_provide python2-%{stackname}}

%description -n python2-%{stackname} %_description

%prep
%setup -qn %{stackname}-%{commit}
%patch0 -p1 -b .langs

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
make -C build install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_datadir}/%{stackname}/bin

mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkgconfig

%files -n python2-%{stackname}
%doc
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
%dir %{_datadir}/%{stackname}
%{_datadir}/%{stackname}/stack.xml
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info

%files devel
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{stackname}/cmake

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-13.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.3-12.20130623git8790a17
- Update BR so %python_provide is available

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.3-11.20130623git8790a17
- Python 2 binary package renamed to python2-genlisp
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-10.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-9.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-8.20130623git8790a17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-7.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-6.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4.20130623git8790a17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 Rich Mattes <richmattes@gmail.com> - 0.3.3-3.20130623git8790a17
- Update to comply with github sourceurl guidelines
- Fix buildrequires and requires
- Split out devel package

* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 0.3.3-2.gitee0307d
- Rename to python-genlisp

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.3-1.gitee0307d
- Initial package
